WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Adjustly Collapse

Move over, make room: expand and collapse content in an SEO friendly way. Great for contributors or theme designers.

Developed internally for our Adjustly theme, this plugin allows authors to link 2 html elements together as trigger and target. When the trigger is clicked the target will immediately expand to reveal its content.

Try the Demo

If you're interested in seeing what a default installation of Adjustly Collapse has to offer, have a look at some samples on our site.

http://www.psdcovers.com/adjustly-collapse/

Usage

The basic structure without any CSS bells and whistles looks like this:

<a class="aj-collapse" rel="myslidingcontent">trigger</a>
<div class="aj-hidden" id="myslidingcontent">target: this content is hidden by default</div>

In the example above, the trigger is an href element and the target is a div element. Note that the target can be any element you choose.

rel="[id]"

Each trigger and target pair must contain a common label so that the trigger knows which target to expand or collapse. The trigger rel tag must be the same name as the target's id tag. If you plan on having multiple collapsible elements in a page, post or theme then you will need to ensure that the rel and id tags are always unique for each trigger/target combo.

Class Names

  1. The trigger must always have the following class name: class="aj-collapse"
  2. The target can have either of 2 classes: class="aj-hidden" will make the target collapsed by default while class="aj-visible" will display the content normally but allow the viewer to collapse it.

Notes

The trigger and target do not have to be next to each other. The target can be at the opposite end of the article or you can place it within the trigger. Theme developers can use it to make widgets collapsible.

Requires: 3 or higher
Compatible up to: 3.3.2
Last Updated: 2012-2-26
Downloads: 5,296

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
100,1,1